package com.gingersoft.coldchain_module.mvp.model.bean;

import java.util.List;

public class SupplementInfoBean {

    /**
     * success : true
     * sysTime : 1598436389621
     * data : {"replenishmentPhone":"13825748822","replenishmentPerson":"德華","pickUpPrompt":"補單提示","replenishmentAddress":"222222","orderVOS":[{"orderType":7,"orderNum":35}],"coldChainPickUpNum":15}
     */
    private boolean success;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * replenishmentPhone : 13825748822
         * replenishmentPerson : 德華
         * pickUpPrompt : 補單提示
         * replenishmentAddress : 222222
         * orderVOS : [{"orderType":7,"orderNum":35}]
         * coldChainPickUpNum : 15
         */

        private String replenishmentPhone;
        private String replenishmentPerson;
        private String pickUpPrompt;
        private String replenishmentAddress;
        private int coldChainPickUpNum;
        private List<OrderVOSBean> orderVOS;

        public String getReplenishmentPhone() {
            return replenishmentPhone;
        }

        public void setReplenishmentPhone(String replenishmentPhone) {
            this.replenishmentPhone = replenishmentPhone;
        }

        public String getReplenishmentPerson() {
            return replenishmentPerson;
        }

        public void setReplenishmentPerson(String replenishmentPerson) {
            this.replenishmentPerson = replenishmentPerson;
        }

        public String getPickUpPrompt() {
            return pickUpPrompt;
        }

        public void setPickUpPrompt(String pickUpPrompt) {
            this.pickUpPrompt = pickUpPrompt;
        }

        public String getReplenishmentAddress() {
            return replenishmentAddress;
        }

        public void setReplenishmentAddress(String replenishmentAddress) {
            this.replenishmentAddress = replenishmentAddress;
        }

        public int getColdChainPickUpNum() {
            return coldChainPickUpNum;
        }

        public void setColdChainPickUpNum(int coldChainPickUpNum) {
            this.coldChainPickUpNum = coldChainPickUpNum;
        }

        public List<OrderVOSBean> getOrderVOS() {
            return orderVOS;
        }

        public void setOrderVOS(List<OrderVOSBean> orderVOS) {
            this.orderVOS = orderVOS;
        }

        public static class OrderVOSBean {
            /**
             * orderType : 7
             * orderNum : 35
             */

            private int orderType;
            private int orderNum;

            public int getOrderType() {
                return orderType;
            }

            public void setOrderType(int orderType) {
                this.orderType = orderType;
            }

            public int getOrderNum() {
                return orderNum;
            }

            public void setOrderNum(int orderNum) {
                this.orderNum = orderNum;
            }
        }
    }
}
